/*цвет текста в кнопках в карточке товара*/

.t-store__prod-popup__btn-wrapper .t-store__prod-popup__btn,
.t-store__prod-popup__btn-wrapper .t-store__prod-popup__btn:link,
.t-store__prod-popup__btn-wrapper .t-store__prod-popup__btn:visited {
    color: #ffffff !important;
}




/*@media (min-width: 480px) {*/
  .t-store__card__textwrapper {
    text-align: right !important;
  }




  .img-zoom-123 {
    border-radius: 0px;
    overflow: hidden;
    border: 1.5px solid #ffffff; /* Переносим сюда */
    box-sizing: border-box; /* Обязательно, чтобы рамка не влияла на размер */
}

.img-zoom-123 .tn-atom {
    border-radius: 0px;
    transition: transform 400ms ease-in-out;
}

.img-zoom-123:hover .tn-atom {
    transform: scale(1.05);
}



.t886__wrapper {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    flex-wrap: nowrap; /* Важное изменение */
}

.t886__btn-wrapper {
    order: -1;
    margin-right: 20px;
    flex-shrink: 0; /* Не даем кнопке сжиматься */
}

.t886__text {
    flex-grow: 1; /* Заставляем текст занимать всё оставшееся место */
}


/* Модификация карточки товара*/


/* бейджик со скидкой побольше */
.t-store__card__mark-wrapper {
    /*width: 64px;*/
    /*height: 15px;*/
}
.t-store__card__mark {
    /*font-size: 8px;
    /*font-weight: bold;
    /*height: 30px;
    /*padding-top: 3px;*/
    border-radius: 150px;
    font-family: 'Monoid', Arial, sans-serif;
}
.t-store__card__price-value {
    font-style: italic;
    padding-right: 2px;
    word-spacing: -0.55em;
}

/* Карточка товара */
.t-store__prod-popup__info {
    padding-bottom: 185px;
}
.t-store__prod-popup__name {
    font-weight: 400 !important;
    font-size: 22.5px;
    text-transform: lowercase;
    width: calc(50% - 10px);
}
.t-store__prod-popup__price-wrapper {
    position: absolute;
    top: -3px;
    left: 50%;
}
.t-store__prod-popup__price {
    font-size: 32px !important;
    font-weight: 400 !important;
    font-style: italic !important;
    white-space: nowrap;
}
.t-store__prod-popup__price-value {
    word-spacing: -0.55em;
}
.js-product-controls-wrapper {
    margin-bottom: 16px;
}

/* Кастомный дропдаун с размером */
.t-product__option {
    margin: 0 !important;
}
.t-product__option-select, .t-product__option-title  {
    display: none;
}
.t-product__option-variants:after {
    display: none;
}

/* Иконки */
.t-product__option[data-edition-option-id="Размер"] .variant-display:before {
    background-image: url("https://static.tildacdn.com/tild3835-6366-4232-a234-336534353831/01.svg");
}

.t-product__option[data-edition-option-id="Цвет"] .variant-display:before {
    background-image: url("https://static.tildacdn.com/tild3261-6561-4334-b837-396638643362/02.svg");
}

.t-product__option[data-edition-option-id="Вставка"] .variant-display:before {
    background-image: url("https://static.tildacdn.com/tild3336-3466-4632-b662-663030626338/03.svg");
}

.variant-display:before {
    content: "";
    background-repeat: no-repeat;
    background-size: 17.05px;
    background-position-y: center;
    position: absolute;
    height: 100%;
    width: 17.05px;
    top: 0;
    left: 0;
}
.variant-display {
    width: fit-content;
    font-family: 'Monoid', Arial, sans-serif;
    font-size: 13.5px;
    position: relative;
    padding-left: 22px;
    padding-right: 25px;
    padding-top: 11.83px;
    padding-bottom: 11.83px;
    cursor: pointer;
}
.variant-display:after {
    content: "";
    background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTMiIGhlaWdodD0iNyIgdmlld0JveD0iMCAwIDEzIDciIGZpbGw9Im5vbmUiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+PHBhdGggZD0iTTExLjYzNjIgMC4wNzY2NjAxTDEyLjU1OTEgMC45NTg0OTZMNy4xNjU1MyA2LjY4MDE4TDYuMjQyNjggNi42ODAxOEwwLjg0OTEyMSAwLjk1ODQ5NkwxLjc3MTk3IDAuMDc2NjU5Nkw2LjY1MjgzIDUuMzE2NDFMNi43NTUzNyA1LjMxNjQxTDExLjYzNjIgMC4wNzY2NjAxWiIgZmlsbD0iIzExMTExMSIvPjwvc3ZnPg==");
    background-repeat: no-repeat;
    background-size: 15px;
    background-position-y: center;
    position: absolute;
    height: 100%;
    width: 15px;
    top: 0;
    right: 0;
}
.t-product__option-variants {
    font-family: 'Monoid', Arial, sans-serif;
}
.variant-dropdown {
    overflow: auto !important;
    position: absolute;
    color: white;
    background-color: black;
    font-size: 14px;
    z-index: 2;
    max-height: 310px;
    scrollbar-width: 0;
    -ms-overflow-style: none;
}
.variant-dropdown::-webkit-scrollbar {
    width: 0;
}
.variant-dropdown:not(.opened) {
    height: 0;
}
.variant-option {
    padding: 10px 20px;
    line-height: 110%;
    cursor: pointer;
}
.variant-option:first-child {
    margin-top: 10px;
}
.variant-option:last-child {
    margin-bottom: 10px;
}
.variant-option:hover {
    color: black;
    background: white;
}

.t-store__prod-popup__btn-wrapper {
    position: absolute;
    bottom: 0;
    margin: 0 !important;
    display: flex;
    align-items: center;
}
.t-store__prod-popup__btn {
    height: 56px;
    font-weight: 400;
    font-size: 20px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    line-height: 95%;
    text-wrap: auto;
}
.js-store-prod-popup-buy-btn-txt {
    font-weight: 400;
    font-size: 20px;
    line-height: 95%;
}


.js-store-prod-all-text strong {
    font-weight: 400 !important;
}

/* Смотреть так же по силовой линии */
.t-store__relevants__container .t-slds__main {
    max-width: unset;
}
.t-store__relevants__container .t__slds-wrapper {
    display: flex;
}
.t-store__relevants__container .t-store__card {
    margin-left: 10px;
    margin-right: 10px;
    max-width: unset;
}
.t-store__relevants__container .t-slds__arrow_wrapper-right {
    right: 4px;
}
.t-store__relevants__container .t-slds__arrow_wrapper-left {
    left: 4px;
}



@media (max-width: 980px) {
    .t-store__prod-popup__info {
        position: relative;
        padding-bottom: 0;
    }
    .t-store__prod-popup__btn-wrapper {
        position: unset;
        width: unset;
    }
    .t-store__prod-popup__price-wrapper {
        top: 22px;
    }
}
@media (max-width: 560px) {
    .t-store__prod-popup__price-wrapper {
        top: 27px;
    }
}
